Package org.eclipse.graphiti.features

# Class DefaultResizeConfiguration

java.lang.Object
org.eclipse.graphiti.features.DefaultResizeConfiguration

All Implemented Interfaces:
  `IResizeConfiguration`

public class DefaultResizeConfiguration extends Object implements IResizeConfiguration
Class DefaultResizeConfiguration defines the default resize behaviour.

## Constructor Summary

Constructors
Constructor
Description
`DefaultResizeConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isHorizontalResizeAllowed()`
Defines resize behavior
`boolean`
`isVerticalResizeAllowed()`
Defines resize behavior

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultResizeConfiguration

public DefaultResizeConfiguration()

## Method Details

### isHorizontalResizeAllowed

public boolean isHorizontalResizeAllowed()
Description copied from interface: `IResizeConfiguration`
Defines resize behavior

Specified by:
  `isHorizontalResizeAllowed` in interface `IResizeConfiguration`
Returns:
  true if element can be resized in horizontal direction

### isVerticalResizeAllowed

public boolean isVerticalResizeAllowed()
Description copied from interface: `IResizeConfiguration`
Defines resize behavior

Specified by:
  `isVerticalResizeAllowed` in interface `IResizeConfiguration`
Returns:
  true if element can be resized in vertical direction